<?php $__env->startSection('content'); ?>
    <div class="d-flex align-items-center flex-wrap gap-3 justify-content-between px-3">
        <h4><?php echo e(__('Legal Pages')); ?></h4>

        <?php if (\Illuminate\Support\Facades\Blade::check('hasPermission', 'admin.legalpage.create')): ?>
            <a href="<?php echo e(route('admin.legalpage.create')); ?>" class="btn py-2 btn-primary">
                <i class="fa fa-plus-circle"></i>
                <?php echo e(__('Create New')); ?>

            </a>
        <?php endif; ?>
    </div>

    <div class="container-fluid mt-3">
        <div class="mb-3 card">
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-responsive-md">
                        <thead>
                            <tr>
                                <th class="text-center"><?php echo e(__('SL')); ?></th>
                                <th><?php echo e(__('Title')); ?></th>
                                <th class="text-center"><?php echo e(__('Action')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td class="text-center"><?php echo e(++$key); ?></td>
                                    <td><?php echo e($page->title); ?></td>
                                    <td class="text-center">
                                        <div class="d-flex gap-2 justify-content-center">
                                            <?php if (\Illuminate\Support\Facades\Blade::check('hasPermission', 'admin.legalpage.show')): ?>
                                                <a href="<?php echo e(route('admin.legalpage.show', $page->slug)); ?>"
                                                    class="btn btn-sm btn-primary">
                                                    <i class="fa fa-eye"></i>
                                                </a>
                                            <?php endif; ?>
                                            <?php if (\Illuminate\Support\Facades\Blade::check('hasPermission', 'admin.legalpage.edit')): ?>
                                                <a href="<?php echo e(route('admin.legalpage.edit', $page->slug)); ?>"
                                                    class="btn btn-sm btn-primary">
                                                    <i class="fa fa-edit"></i>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if((request()->page ?? 0) <= 1): ?>
                                <?php if (\Illuminate\Support\Facades\Blade::check('hasPermission', 'admin.contactUs.index')): ?>
                                    <tr>
                                        <td class="text-center"><?php echo e($pages->count() + 1); ?></td>
                                        <td><?php echo e(__('Contact Us')); ?></td>
                                        <td class="text-center">
                                            <a href="<?php echo e(route('admin.contactUs.index')); ?>"
                                                class="btn btn-sm btn-primary">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                        </td>
                                    </tr>
                                <?php endif; ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="my-3">
            <?php echo e($pages->withQueryString()->links()); ?>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/abedin.dev/Code/Razinosft/readyecommerce/main/resources/views/admin/legalpage/index.blade.php ENDPATH**/ ?>